﻿using System.Collections.Generic;

using DevExpress.XtraMap;

namespace TestProject
{
    /// <summary>
    /// 커스텀 정보 데이터 공급자
    /// </summary>
    public class CustomInformationDataProvider : InformationDataProviderBase, ISearchPanelRequestSender
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 위치 정보 열거 가능 목록 - Addresses

        /// <summary>
        /// 위치 정보 열거 가능 목록
        /// </summary>
        public IEnumerable<LocationInformation> Addresses
        {
            get
            {
                return Data.LocationInformationList;
            }
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 데이터 - Data

        /// <summary>
        /// 데이터
        /// </summary>
        protected new CustomInformationData Data
        {
            get
            {
                return (CustomInformationData)base.Data;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 문자열 검색하기 - SearchByString(keyword)

        /// <summary>
        /// 문자열 검색하기
        /// </summary>
        /// <param name="keyword">키워드</param>
        public void SearchByString(string keyword)
        {
            Data.Search(keyword);
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 데이터 생성하기 - CreateData()

        /// <summary>
        /// 데이터 생성하기
        /// </summary>
        /// <returns>정보 데이터 인터페이스</returns>
        protected override IInformationData CreateData()
        {
            return new CustomInformationData();
        }

        #endregion
    }
}